Bug 844798 - stickshift-mcollective-agent has references to libra
stickshift-mcollective-agent has references to libra
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 16:01 EDT by Troy Dawson
Modified: 2015-05-14 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 12:14:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-07-31 16:01:11 EDT
Description of problem:
In gearchanger repo, useing grep I am able to find references to Libra in the source code.

According to US1972, there should no reference to libra in stickshift code.

Version-Release number of selected component (if applicable):
stickshift-mcollective-agent-0.1.1

How reproducible:
100%

Steps to Reproduce:
1. git clone https://github.com/openshift/crankcase.git
2. cd crankcase
3. grep -r -i libra *
  
Actual results:
mcollective/plugin/gearchanger-mcollective-plugin.spec:# Symlink into the ruby site library directories
mcollective/agent/src/stickshift.rb:      metadata    :name        => "Libra Management",
mcollective/agent/src/stickshift.rb:                  :description => "Agent to manage Libra services",


Expected results:
mcollective/plugin/gearchanger-mcollective-plugin.spec:# Symlink into the ruby site library directories

Additional info:
Comment 1 Jianwei Hou 2013-01-28 20:40:29 EST
Crankcase is renamed to openshift-origin a long time ago, the stickshift is renamed to openshift, and the libra is renamed as well. This problem seems not exist now.

hjw@hjw origin-server$ grep -r -i libra *|grep agent
-- There is no match

So I'm moving this bug to verified.

Note You need to log in before you can comment on or make changes to this bug.